跳转到主要内容
POST
/
v3
/
organizations
/
{org_id}
/
attachments
上传附件
curl --request POST \
  --url https://api.devin.ai/v3/organizations/{org_id}/attachments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
import requests

url = "https://api.devin.ai/v3/organizations/{org_id}/attachments"

files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.devin.ai/v3/organizations/{org_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "attachment_id": "<string>",
  "name": "<string>",
  "url": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

权限

需要一个在组织级别拥有 UseDevinSessions 权限的服务用户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

路径参数

org_id
string
必填

组织 ID(前缀:org-)

示例:

"org-abc123def456"

请求体

multipart/form-data
file
file
必填

响应

成功响应

attachment_id
string
必填
name
string
必填
url
string
必填